Đến nội dung


Hình ảnh
- - - - -

Lisp đổi kiểu nét thành Hidden2 và Line type scale = 0.2?


  • Please log in to reply
8 replies to this topic

#1 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 01 December 2008 - 09:50 AM

Bác Pro nào viết cho em cái lisp đổi kiểu nét thành Hidden2 và Line type scale = 0.2 đi ?
vì công việc này em hay phải làm nên muốn dùng Lisp hỗ trợ tốc độ. Cảm ơn các bác nhìu !!!!!!! Em xin cảm ơn và biếu các bác mấy chú gà Quay làm để hậu tạ......
  • 0
Hoàng Giang

#2 transu

transu

    biết vẽ spline

  • Members
  • PipPip
  • 93 Bài viết
Điểm đánh giá: 19 (tàm tạm)

Đã gửi 01 December 2008 - 10:01 AM

Bác Pro nào viết cho em cái lisp đổi kiểu nét thành Hidden2 và Line type scale = 0.2 đi ?
vì công việc này em hay phải làm nên muốn dùng Lisp hỗ trợ tốc độ. Cảm ơn các bác nhìu !!!!!!! Em xin cảm ơn và biếu các bác mấy chú gà Quay làm để hậu tạ......

mình có lisp đổi layer cấp tốc thôi
  • 0

#3 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 01 December 2008 - 10:41 AM

Bác Pro nào viết cho em cái lisp đổi kiểu nét thành Hidden2 và Line type scale = 0.2 đi ?
vì công việc này em hay phải làm nên muốn dùng Lisp hỗ trợ tốc độ. Cảm ơn các bác nhìu !!!!!!! Em xin cảm ơn và biếu các bác mấy chú gà Quay làm để hậu tạ......

Đây bạn:

(Defun c:chuyen ( )
(Prompt "\nChon doi tuong muon chuyen ...")
(Setq chuyen (Ssget))
(command "chprop" chuyen "" "lt" "Hidden2" "s" "0.2" "")
(Princ)
)


Bạn có thể chỉnh dạng đường và tỉ lệ theo ý bạn (nếu cần cái khác nữa). Lưu ý dạng đường Hidden2 phải được load vào bản vẽ rồi.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#4 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 01 December 2008 - 04:31 PM

Đây bạn:

(Defun c:chuyen ( )
(Prompt "\nChon doi tuong muon chuyen ...")
(Setq chuyen (Ssget))
(command "chprop" chuyen "" "lt" "Hidden2" "s" "0.2" "")
(Princ)
)


Bạn có thể chỉnh dạng đường và tỉ lệ theo ý bạn (nếu cần cái khác nữa). Lưu ý dạng đường Hidden2 phải được load vào bản vẽ rồi.

Cảm ơn bác Duy nhé. Lisp của bác OKK thật đó !!!!!!!!
  • 0
Hoàng Giang

#5 tuan_thietkedien

tuan_thietkedien

    biết lệnh mirror

  • Members
  • PipPipPip
  • 153 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 01 December 2008 - 05:03 PM

Cảm ơn bác Duy nhé. Lisp của bác OKK thật đó !!!!!!!!


Xin chào

Bác Duy có thể bổ sung thêm là nếu mình muốn ( Color đỏ, Layer day dien, Linetype hidden2, Linetype Scale 0.8, Lineweight 0.2mm, Style standard, Width factory 0.8)

Xin bác Duy chỉ giáo thêm. :cheers:
  • 0

#6 damletam

damletam

    biết vẽ rectang

  • Members
  • PipPip
  • 86 Bài viết
Điểm đánh giá: 21 (tàm tạm)

Đã gửi 01 December 2008 - 05:19 PM

Bác Pro nào viết cho em cái lisp đổi kiểu nét thành Hidden2 và Line type scale = 0.2 đi ?
vì công việc này em hay phải làm nên muốn dùng Lisp hỗ trợ tốc độ. Cảm ơn các bác nhìu !!!!!!! Em xin cảm ơn và biếu các bác mấy chú gà Quay làm để hậu tạ......

Bạn xem thử cái này nhé
http://www.cadviet.com/upfiles/TV1.lsp
http://www.cadviet.com/upfiles/TV.lsp
  • 0
BƯỚC CHÂN NHỎ VÀO THẾ GIỚI LỚN

#7 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 01 December 2008 - 08:22 PM

Xin chào

Bác Duy có thể bổ sung thêm là nếu mình muốn ( Color đỏ, Layer day dien, Linetype hidden2, Linetype Scale 0.8, Lineweight 0.2mm, Style standard, Width factory 0.8)

Xin bác Duy chỉ giáo thêm. B)

Sao bạn đòi hỏi nhiều quá vây? :cheers:

(Defun c:chuyen ( ) 
(Prompt "\nChon doi tuong muon chuyen ...")
(Setq chuyen (Ssget))
(command "Layer" "m" "daydien" "C" "1" "" "")
(command "style" "Standard" "" "" "0.8" "" "" "" "")
(command "chprop" chuyen "" "LA" "daydien" "Color" "1" "lt" "HIDDEN2" "s" "0.8" "")
(Princ)
)

  • 0

#8 tuan_thietkedien

tuan_thietkedien

    biết lệnh mirror

  • Members
  • PipPipPip
  • 153 Bài viết
Điểm đánh giá: 15 (tàm tạm)

Đã gửi 02 December 2008 - 01:49 PM

Sao bạn đòi hỏi nhiều quá vây? :cheers:

(Defun c:chuyen ( ) 
(Prompt "\nChon doi tuong muon chuyen ...")
(Setq chuyen (Ssget))
(command "Layer" "m" "daydien" "C" "1" "" "")
(command "style" "Standard" "" "" "0.8" "" "" "" "")
(command "chprop" chuyen "" "LA" "daydien" "Color" "1" "lt" "HIDDEN2" "s" "0.8" "")
(Princ)
)


Chào bạn
Tớ đang làm cho cty Nhật nên yêu cầu quản lý tiêu chuẩn khi thiết kế bản vẽ khắt khe lắm.
Cám ơn bạn nhiều nha.
Sau này mong được chỉ giáo thêm. B)
À, không biết mọi người trong diễn đàn có mở lớp dạy viết Lisp không nhỉ?
  • 0

#9 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 02 December 2008 - 03:28 PM

Chào bạn
Tớ đang làm cho cty Nhật nên yêu cầu quản lý tiêu chuẩn khi thiết kế bản vẽ khắt khe lắm.
Cám ơn bạn nhiều nha.
Sau này mong được chỉ giáo thêm. :cheers:
À, không biết mọi người trong diễn đàn có mở lớp dạy viết Lisp không nhỉ?

Việc giới thiệu sang 1 diển đàn khác thì không hay lắm. Nhưng bạn hỏi thì mình giới thiệu các bài viết hướng dẩn của mình đây!
http://tailieukythua...o...
Nếu BQT thấy bài này không hợp lệ thì cứ del!
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D